> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/almlahzat-aldbabys/35.-amlyh-tadyl-idhafh-talyq-ila-almlahzh-almhddh.md).

# 35. عملية تعديل: إضافة "تعليق" إلى "الملاحظة" المحددة

تسمح لك هذه التحويرة بإضافة تعليق إلى الملاحظة المحددة.

* يمكن ربط التعليق بالحقل عبر معرفه الفريد `معرف_الحقل` وإلى الملاحظة عبر `noteUuid`.
* يمكن توفير محتوى التعليق باستخدام `النص` الخاصية. إذا احتاج المحتوى إلى عدة أسطر، فيجب أن تحتوي `النص` الخاصية على سلسلة تحتوي على أحرف سطر جديد `\\n` لفصل الأسطر. على سبيل المثال: `"السطر الأول. هنا\\nالسطر الثاني هنا.\\nالسطر الثالث هنا."`.
* من الممكن تحديد تاريخ/وقت مرتبط بالتعليق باستخدام `تاريخ الإنشاء` الخاصية بتنسيق ISO8601.

يمكن العثور على أمثلة الطلبات أدناه:

```graphql
mutation AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "التعليق الأول من بين عدة تعليقات.",
    createdDate: "2020-08-25T06:06:06.000Z"
  } ) {
    uuid
    معرف_الحقل
    noteUuid
    تاريخ الإنشاء
    updatedDate
    النص
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "السطر الأول. هنا\\nالسطر الثاني هنا.\\nالسطر الثالث هنا.",
    createdDate: "2020-08-25T07:07:07.000Z"
  } ) {
    uuid
    معرف_الحقل
    noteUuid
    تاريخ الإنشاء
    updatedDate
    النص
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/almlahzat-aldbabys/35.-amlyh-tadyl-idhafh-talyq-ila-almlahzh-almhddh.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
